Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DERBoolean

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.DERBoolean

All Implemented Interfaces:
  DEREncodable, DERTags

    public class DERBoolean

extends ASN1Object

Field Summary
`static DERBoolean` `FALSE`
`static DERBoolean` `TRUE`

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERBoolean(boolean value)`
`DERBoolean(byte[] value)`

Method Summary
`protected boolean` `asn1Equals(DERObject o)`
`static DERBoolean` `getInstance(ASN1TaggedObject obj, boolean explicit)` return a Boolean from a tagged object.
`static DERBoolean` `getInstance(boolean value)` return a DERBoolean from the passed in boolean.
`static DERBoolean` `getInstance(java.lang.Object obj)` return a boolean from the passed in object.
`int` `hashCode()`
`boolean` `isTrue()`
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FALSE

    public static final DERBoolean FALSE

### TRUE

    public static final DERBoolean TRUE

Constructor Detail

### DERBoolean

    public DERBoolean(byte[] value)

### DERBoolean

    public DERBoolean(boolean value)

Method Detail

### getInstance

    public static DERBoolean getInstance(java.lang.Object obj)

  return a boolean from the passed in object.

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERBoolean getInstance(boolean value)

  return a DERBoolean from the passed in boolean.

### getInstance

    public static DERBoolean getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

  return a Boolean from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### isTrue

    public boolean isTrue()

### asn1Equals

    protected boolean asn1Equals(DERObject o)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45